using System;
using System.Runtime.Serialization;

namespace wasDAVClient.Helpers
{
    public class wasDAVConflictException : wasDAVException
    {
        public wasDAVConflictException()
        {
        }

        public wasDAVConflictException(string message) 
            : base(message)
        {}

        public wasDAVConflictException(string message, int hr) 
            : base(message, hr)
        {}

        public wasDAVConflictException(string message, Exception innerException) 
            : base(message, innerException)
        {}

        public wasDAVConflictException(int httpCode, string message, Exception innerException) 
            : base(httpCode, message, innerException)
        {}

        public wasDAVConflictException(int httpCode, string message) 
            : base(httpCode, message)
        {}

        public wasDAVConflictException(int httpCode, string message, int hr) 
            : base(httpCode, message, hr)
        {}

        protected wasDAVConflictException(SerializationInfo info, StreamingContext context) 
            : base(info, context)
        {}
    }
}